<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ProductStock extends Model
{
    protected $guarded = [];

    // RELASI KE PRODUK (PENTING UNTUK LAPORAN)
    public function product(): BelongsTo
    {
        return $this->belongsTo(Product::class);
    }

    // RELASI KE CABANG
    public function branch(): BelongsTo
    {
        return $this->belongsTo(Branch::class);
    }
}